//
// General design
//

#swapAsset-action {
  font-style: italic;
}

#swapAsset-message {
  color: red;
  text-align: center;
}

#swapAsset-fromSymbolFixed,
#swapAsset-toSymbolFixed {
  display: block;
  text-align: center;
  font-size: 16px;
}

#swapAsset-table {
  width: 100%;
  td:nth-child(1),
  td:nth-child(3) {
    width: 44%
  }
  .swapAssetBox {
    background: linear-gradient(0deg, rgb(238, 238, 238) 0%, rgb(255, 255, 255) 25%,rgb(255, 255, 255) 75%, rgb(238, 238, 238) 100%);
    border-radius: 8px;

    @media (min-height: 1250px) {
      height: 680px;
    }
    @media (max-height: 1250px) {
      height: calc(56vh - 96px);
    }
    @media (max-height: 900px) {
      height: calc(62vh - 96px);
    }

    .spinner-loader {
      display: inline-block;
      vertical-align: middle;
      margin-top: 22px;
    }
  }
  .swapTableDivider {
    text-align: center;
  }
}

#swapAsset-arrow {
  /* draw triangle to the right */
  width: 0;
  height: 0;
  border-left: 30px solid #dadada;
  border-top: 80px solid transparent;
  border-bottom: 80px solid transparent;
  display: inline-block;
  margin-left: 12px;
  margin-right: 12px;
}

#swapAsset-table td:nth-child(2) {
  font-size: 28pt;
  text-align: center;
  vertical-align: middle;
}

#swapAsset-to::-webkit-scrollbar,
#swapAsset-from::-webkit-scrollbar {
  display: none !important; /* Chrome, Safari and Opera */
  -ms-overflow-style: none !important;  /* IE and Edge */
  scrollbar-width: 3px !important;  /* Firefox */
  width: 3px !important;  /* other CSS compliant browsers */
}

#swapAsset-to::-webkit-scrollbar-track,
#swapAsset-from::-webkit-scrollbar-track {
  background: transparent !important; /* customize track */
}

#swapAsset-to,
#swapAsset-from {
  min-height: 98px;
  max-height: 100%;
  overflow-y: auto;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
}

#swapAsset-to > div,
#swapAsset-from > div {
  border: 1;
  border-style: solid;
  border-width: 1px;
  border-radius: 8px;
  margin-bottom: 8px;
  padding: 20px;
  height: 90px;
  width: 100%;
  cursor: pointer;
  overflow-inline: clip;
  white-space: nowrap;

  svg {
    vertical-align: middle;
    margin-right: 5px;
    height: 48px;
    width: 35px;
  }

  span {
    padding: 4px;
    padding-right: 1px;
    text-transform: uppercase;
    max-width: 75px;
    margin-bottom: -4px;
  }
}

#swapAsset-to > div {
  background-color: #fafafa55;
  border-color: #a078a055;
}

#swapAsset-to > div:hover {
  background-color: #f0e6f0ff;
  border-color: #a078a0ff;
}

#swapAsset-from > div {
  background-color: #fafafa55;
  border-color: #a078a055;
}

#swapAsset-from > div:hover {
  background-color: #f0e6f0ff;
  border-color: #a078a0ff;
}

#swapAsset-to > div.swapAsset-selected {
  background-color: #7878a0ff;
  color: white;
  cursor: inherit;
}

#swapAsset-from > div.swapAsset-selected, {
  background-color: #7878a0ff;
  color: white;
  cursor: inherit;
}

#swapAsset-to > div.swapAsset-disabled,
#swapAsset-from > div.swapAsset-disabled {
  order: 2;
  background-color: grey;
  color: darkgrey;
}


#swapAsset-form {
  position: relative;
}

#swapAsset-spinner {
  display: none;
  background: linear-gradient(rgba(255,255,255,0.75),rgba(255,255,255,0.85),rgba(255,255,255,0));
  width: calc(100% - 48px);
  height: calc(100% - 80px);
  top: 80px;
  text-align: center;
  position: absolute;
  .spinner-loader {
    margin-top: 25vh;
    margin-left: 0;
  }
}

#swapAsset-spinner-message {
  margin-top: 24px;
  font-size: 1.2em;
  font-weight: bold;
}

//
// Buttons
//

#swapAsset-buttons {
  background: none;
}

#swapAsset-back {
  width: 32%;
  margin-right: 2%;
}

#swapAsset-next {
  width: 60%;
}
